<?php

namespace GeminiLabs\SchemaOrg;

use GeminiLabs\SchemaOrg\Unknown;

/**
 * Factory class for all Schema.org types.
 *
 * @method static Thing thing( null|string $type = null )
 * @method static CreativeWork creativeWork( null|string $type = null )
 * @method static WebPage webPage( null|string $type = null )
 * @method static AboutPage aboutPage( null|string $type = null )
 * @method static Organization organization( null|string $type = null )
 * @method static Place place( null|string $type = null )
 * @method static LocalBusiness localBusiness( null|string $type = null )
 * @method static MedicalOrganization medicalOrganization( null|string $type = null )
 * @method static Dentist dentist( null|string $type = null )
 * @method static Hospital hospital( null|string $type = null )
 * @method static Pharmacy pharmacy( null|string $type = null )
 * @method static FinancialService financialService( null|string $type = null )
 * @method static ProfessionalService professionalService( null|string $type = null )
 * @method static LegalService legalService( null|string $type = null )
 * @method static AccountingService accountingService( null|string $type = null )
 * @method static AdministrativeArea administrativeArea( null|string $type = null )
 * @method static EntertainmentBusiness entertainmentBusiness( null|string $type = null )
 * @method static AdultEntertainment adultEntertainment( null|string $type = null )
 * @method static Intangible intangible( null|string $type = null )
 * @method static Offer offer( null|string $type = null )
 * @method static AggregateOffer aggregateOffer( null|string $type = null )
 * @method static Rating rating( null|string $type = null )
 * @method static AggregateRating aggregateRating( null|string $type = null )
 * @method static CivicStructure civicStructure( null|string $type = null )
 * @method static Airport airport( null|string $type = null )
 * @method static AmusementPark amusementPark( null|string $type = null )
 * @method static AnimalShelter animalShelter( null|string $type = null )
 * @method static Residence residence( null|string $type = null )
 * @method static ApartmentComplex apartmentComplex( null|string $type = null )
 * @method static Aquarium aquarium( null|string $type = null )
 * @method static ArtGallery artGallery( null|string $type = null )
 * @method static Article article( null|string $type = null )
 * @method static Attorney attorney( null|string $type = null )
 * @method static Audience audience( null|string $type = null )
 * @method static MediaObject mediaObject( null|string $type = null )
 * @method static AudioObject audioObject( null|string $type = null )
 * @method static AutomotiveBusiness automotiveBusiness( null|string $type = null )
 * @method static AutoBodyShop autoBodyShop( null|string $type = null )
 * @method static AutoDealer autoDealer( null|string $type = null )
 * @method static Store store( null|string $type = null )
 * @method static AutoPartsStore autoPartsStore( null|string $type = null )
 * @method static AutoRental autoRental( null|string $type = null )
 * @method static AutoRepair autoRepair( null|string $type = null )
 * @method static AutoWash autoWash( null|string $type = null )
 * @method static AutomatedTeller automatedTeller( null|string $type = null )
 * @method static FoodEstablishment foodEstablishment( null|string $type = null )
 * @method static Bakery bakery( null|string $type = null )
 * @method static BankOrCreditUnion bankOrCreditUnion( null|string $type = null )
 * @method static Barcode barcode( null|string $type = null )
 * @method static BarOrPub barOrPub( null|string $type = null )
 * @method static Beach beach( null|string $type = null )
 * @method static HealthAndBeautyBusiness healthAndBeautyBusiness( null|string $type = null )
 * @method static BeautySalon beautySalon( null|string $type = null )
 * @method static LodgingBusiness lodgingBusiness( null|string $type = null )
 * @method static BedAndBreakfast bedAndBreakfast( null|string $type = null )
 * @method static BikeStore bikeStore( null|string $type = null )
 * @method static Blog blog( null|string $type = null )
 * @method static BlogPosting blogPosting( null|string $type = null )
 * @method static Landform landform( null|string $type = null )
 * @method static BodyOfWater bodyOfWater( null|string $type = null )
 * @method static Book book( null|string $type = null )
 * @method static BookFormatType bookFormatType( null|string $type = null )
 * @method static BookStore bookStore( null|string $type = null )
 * @method static SportsActivityLocation sportsActivityLocation( null|string $type = null )
 * @method static BowlingAlley bowlingAlley( null|string $type = null )
 * @method static Brewery brewery( null|string $type = null )
 * @method static PlaceOfWorship placeOfWorship( null|string $type = null )
 * @method static BuddhistTemple buddhistTemple( null|string $type = null )
 * @method static BusStation busStation( null|string $type = null )
 * @method static BusStop busStop( null|string $type = null )
 * @method static Event event( null|string $type = null )
 * @method static BusinessEvent businessEvent( null|string $type = null )
 * @method static CafeOrCoffeeShop cafeOrCoffeeShop( null|string $type = null )
 * @method static Campground campground( null|string $type = null )
 * @method static Canal canal( null|string $type = null )
 * @method static Casino casino( null|string $type = null )
 * @method static CatholicChurch catholicChurch( null|string $type = null )
 * @method static Cemetery cemetery( null|string $type = null )
 * @method static CheckoutPage checkoutPage( null|string $type = null )
 * @method static ChildCare childCare( null|string $type = null )
 * @method static ChildrensEvent childrensEvent( null|string $type = null )
 * @method static Church church( null|string $type = null )
 * @method static City city( null|string $type = null )
 * @method static GovernmentBuilding governmentBuilding( null|string $type = null )
 * @method static CityHall cityHall( null|string $type = null )
 * @method static ClothingStore clothingStore( null|string $type = null )
 * @method static CollectionPage collectionPage( null|string $type = null )
 * @method static EducationalOrganization educationalOrganization( null|string $type = null )
 * @method static CollegeOrUniversity collegeOrUniversity( null|string $type = null )
 * @method static ComedyClub comedyClub( null|string $type = null )
 * @method static ComedyEvent comedyEvent( null|string $type = null )
 * @method static Comment comment( null|string $type = null )
 * @method static ComputerStore computerStore( null|string $type = null )
 * @method static ContactPage contactPage( null|string $type = null )
 * @method static StructuredValue structuredValue( null|string $type = null )
 * @method static ContactPoint contactPoint( null|string $type = null )
 * @method static Continent continent( null|string $type = null )
 * @method static ConvenienceStore convenienceStore( null|string $type = null )
 * @method static Corporation corporation( null|string $type = null )
 * @method static Country country( null|string $type = null )
 * @method static Courthouse courthouse( null|string $type = null )
 * @method static Crematorium crematorium( null|string $type = null )
 * @method static DanceEvent danceEvent( null|string $type = null )
 * @method static PerformingGroup performingGroup( null|string $type = null )
 * @method static DanceGroup danceGroup( null|string $type = null )
 * @method static DaySpa daySpa( null|string $type = null )
 * @method static DefenceEstablishment defenceEstablishment( null|string $type = null )
 * @method static DepartmentStore departmentStore( null|string $type = null )
 * @method static Quantity quantity( null|string $type = null )
 * @method static Distance distance( null|string $type = null )
 * @method static DryCleaningOrLaundry dryCleaningOrLaundry( null|string $type = null )
 * @method static Duration duration( null|string $type = null )
 * @method static EducationEvent educationEvent( null|string $type = null )
 * @method static HomeAndConstructionBusiness homeAndConstructionBusiness( null|string $type = null )
 * @method static Electrician electrician( null|string $type = null )
 * @method static ElectronicsStore electronicsStore( null|string $type = null )
 * @method static ElementarySchool elementarySchool( null|string $type = null )
 * @method static Embassy embassy( null|string $type = null )
 * @method static EmergencyService emergencyService( null|string $type = null )
 * @method static EmploymentAgency employmentAgency( null|string $type = null )
 * @method static Energy energy( null|string $type = null )
 * @method static EventVenue eventVenue( null|string $type = null )
 * @method static ExerciseGym exerciseGym( null|string $type = null )
 * @method static FastFoodRestaurant fastFoodRestaurant( null|string $type = null )
 * @method static Festival festival( null|string $type = null )
 * @method static FireStation fireStation( null|string $type = null )
 * @method static Florist florist( null|string $type = null )
 * @method static FoodEvent foodEvent( null|string $type = null )
 * @method static FurnitureStore furnitureStore( null|string $type = null )
 * @method static GardenStore gardenStore( null|string $type = null )
 * @method static GasStation gasStation( null|string $type = null )
 * @method static GatedResidenceCommunity gatedResidenceCommunity( null|string $type = null )
 * @method static GeneralContractor generalContractor( null|string $type = null )
 * @method static GeoCoordinates geoCoordinates( null|string $type = null )
 * @method static GeoShape geoShape( null|string $type = null )
 * @method static GeoCircle geoCircle( null|string $type = null )
 * @method static GolfCourse golfCourse( null|string $type = null )
 * @method static GovernmentOffice governmentOffice( null|string $type = null )
 * @method static GovernmentOrganization governmentOrganization( null|string $type = null )
 * @method static GroceryStore groceryStore( null|string $type = null )
 * @method static HVACBusiness hVACBusiness( null|string $type = null )
 * @method static HairSalon hairSalon( null|string $type = null )
 * @method static HardwareStore hardwareStore( null|string $type = null )
 * @method static HealthClub healthClub( null|string $type = null )
 * @method static HighSchool highSchool( null|string $type = null )
 * @method static HinduTemple hinduTemple( null|string $type = null )
 * @method static HobbyShop hobbyShop( null|string $type = null )
 * @method static HomeGoodsStore homeGoodsStore( null|string $type = null )
 * @method static Hostel hostel( null|string $type = null )
 * @method static Hotel hotel( null|string $type = null )
 * @method static HousePainter housePainter( null|string $type = null )
 * @method static IceCreamShop iceCreamShop( null|string $type = null )
 * @method static ImageGallery imageGallery( null|string $type = null )
 * @method static ImageObject imageObject( null|string $type = null )
 * @method static InsuranceAgency insuranceAgency( null|string $type = null )
 * @method static InternetCafe internetCafe( null|string $type = null )
 * @method static ItemAvailability itemAvailability( null|string $type = null )
 * @method static ItemList itemList( null|string $type = null )
 * @method static BreadcrumbList breadcrumbList( null|string $type = null )
 * @method static OfferCatalog offerCatalog( null|string $type = null )
 * @method static ItemPage itemPage( null|string $type = null )
 * @method static JewelryStore jewelryStore( null|string $type = null )
 * @method static JobPosting jobPosting( null|string $type = null )
 * @method static LakeBodyOfWater lakeBodyOfWater( null|string $type = null )
 * @method static LandmarksOrHistoricalBuildings landmarksOrHistoricalBuildings( null|string $type = null )
 * @method static Language language( null|string $type = null )
 * @method static ComputerLanguage computerLanguage( null|string $type = null )
 * @method static LegislativeBuilding legislativeBuilding( null|string $type = null )
 * @method static Library library( null|string $type = null )
 * @method static LiquorStore liquorStore( null|string $type = null )
 * @method static LiteraryEvent literaryEvent( null|string $type = null )
 * @method static Locksmith locksmith( null|string $type = null )
 * @method static Map map( null|string $type = null )
 * @method static MapCategoryType mapCategoryType( null|string $type = null )
 * @method static Mass mass( null|string $type = null )
 * @method static PeopleAudience peopleAudience( null|string $type = null )
 * @method static ScholarlyArticle scholarlyArticle( null|string $type = null )
 * @method static Specialty specialty( null|string $type = null )
 * @method static MensClothingStore mensClothingStore( null|string $type = null )
 * @method static MiddleSchool middleSchool( null|string $type = null )
 * @method static SoftwareApplication softwareApplication( null|string $type = null )
 * @method static MobileApplication mobileApplication( null|string $type = null )
 * @method static MobilePhoneStore mobilePhoneStore( null|string $type = null )
 * @method static Mosque mosque( null|string $type = null )
 * @method static Motel motel( null|string $type = null )
 * @method static MotorcycleDealer motorcycleDealer( null|string $type = null )
 * @method static MotorcycleRepair motorcycleRepair( null|string $type = null )
 * @method static Mountain mountain( null|string $type = null )
 * @method static Movie movie( null|string $type = null )
 * @method static MovieClip movieClip( null|string $type = null )
 * @method static MovieRentalStore movieRentalStore( null|string $type = null )
 * @method static MovieTheater movieTheater( null|string $type = null )
 * @method static MovingCompany movingCompany( null|string $type = null )
 * @method static Museum museum( null|string $type = null )
 * @method static MusicPlaylist musicPlaylist( null|string $type = null )
 * @method static MusicAlbum musicAlbum( null|string $type = null )
 * @method static MusicEvent musicEvent( null|string $type = null )
 * @method static MusicGroup musicGroup( null|string $type = null )
 * @method static MusicRecording musicRecording( null|string $type = null )
 * @method static MusicStore musicStore( null|string $type = null )
 * @method static MusicVenue musicVenue( null|string $type = null )
 * @method static MusicVideoObject musicVideoObject( null|string $type = null )
 * @method static NGO nGO( null|string $type = null )
 * @method static NailSalon nailSalon( null|string $type = null )
 * @method static NewsArticle newsArticle( null|string $type = null )
 * @method static NightClub nightClub( null|string $type = null )
 * @method static Photograph photograph( null|string $type = null )
 * @method static Notary notary( null|string $type = null )
 * @method static OceanBodyOfWater oceanBodyOfWater( null|string $type = null )
 * @method static OfferItemCondition offerItemCondition( null|string $type = null )
 * @method static OfficeEquipmentStore officeEquipmentStore( null|string $type = null )
 * @method static OutletStore outletStore( null|string $type = null )
 * @method static Painting painting( null|string $type = null )
 * @method static Park park( null|string $type = null )
 * @method static ParkingFacility parkingFacility( null|string $type = null )
 * @method static PawnShop pawnShop( null|string $type = null )
 * @method static PerformingArtsTheater performingArtsTheater( null|string $type = null )
 * @method static Person person( null|string $type = null )
 * @method static PetStore petStore( null|string $type = null )
 * @method static Playground playground( null|string $type = null )
 * @method static Plumber plumber( null|string $type = null )
 * @method static PoliceStation policeStation( null|string $type = null )
 * @method static Pond pond( null|string $type = null )
 * @method static PostOffice postOffice( null|string $type = null )
 * @method static PostalAddress postalAddress( null|string $type = null )
 * @method static Preschool preschool( null|string $type = null )
 * @method static Product product( null|string $type = null )
 * @method static ProfilePage profilePage( null|string $type = null )
 * @method static PublicSwimmingPool publicSwimmingPool( null|string $type = null )
 * @method static RVPark rVPark( null|string $type = null )
 * @method static RadioStation radioStation( null|string $type = null )
 * @method static RealEstateAgent realEstateAgent( null|string $type = null )
 * @method static RecyclingCenter recyclingCenter( null|string $type = null )
 * @method static Reservoir reservoir( null|string $type = null )
 * @method static Restaurant restaurant( null|string $type = null )
 * @method static RestrictedDiet restrictedDiet( null|string $type = null )
 * @method static Review review( null|string $type = null )
 * @method static RiverBodyOfWater riverBodyOfWater( null|string $type = null )
 * @method static RoofingContractor roofingContractor( null|string $type = null )
 * @method static SaleEvent saleEvent( null|string $type = null )
 * @method static School school( null|string $type = null )
 * @method static Sculpture sculpture( null|string $type = null )
 * @method static ScreeningEvent screeningEvent( null|string $type = null )
 * @method static SeaBodyOfWater seaBodyOfWater( null|string $type = null )
 * @method static SearchResultsPage searchResultsPage( null|string $type = null )
 * @method static SelfStorage selfStorage( null|string $type = null )
 * @method static ShoeStore shoeStore( null|string $type = null )
 * @method static ShoppingCenter shoppingCenter( null|string $type = null )
 * @method static SingleFamilyResidence singleFamilyResidence( null|string $type = null )
 * @method static WebPageElement webPageElement( null|string $type = null )
 * @method static SiteNavigationElement siteNavigationElement( null|string $type = null )
 * @method static SkiResort skiResort( null|string $type = null )
 * @method static SocialEvent socialEvent( null|string $type = null )
 * @method static SportingGoodsStore sportingGoodsStore( null|string $type = null )
 * @method static SportsClub sportsClub( null|string $type = null )
 * @method static SportsEvent sportsEvent( null|string $type = null )
 * @method static SportsTeam sportsTeam( null|string $type = null )
 * @method static StadiumOrArena stadiumOrArena( null|string $type = null )
 * @method static State state( null|string $type = null )
 * @method static SubwayStation subwayStation( null|string $type = null )
 * @method static Synagogue synagogue( null|string $type = null )
 * @method static Episode episode( null|string $type = null )
 * @method static TVEpisode tVEpisode( null|string $type = null )
 * @method static Season season( null|string $type = null )
 * @method static CreativeWorkSeason creativeWorkSeason( null|string $type = null )
 * @method static TVSeason tVSeason( null|string $type = null )
 * @method static Series series( null|string $type = null )
 * @method static CreativeWorkSeries creativeWorkSeries( null|string $type = null )
 * @method static TVSeries tVSeries( null|string $type = null )
 * @method static VideoGameSeries videoGameSeries( null|string $type = null )
 * @method static Table table( null|string $type = null )
 * @method static TattooParlor tattooParlor( null|string $type = null )
 * @method static TaxiStand taxiStand( null|string $type = null )
 * @method static TelevisionStation televisionStation( null|string $type = null )
 * @method static TennisComplex tennisComplex( null|string $type = null )
 * @method static TheaterEvent theaterEvent( null|string $type = null )
 * @method static TheaterGroup theaterGroup( null|string $type = null )
 * @method static TireShop tireShop( null|string $type = null )
 * @method static TouristAttraction touristAttraction( null|string $type = null )
 * @method static TouristInformationCenter touristInformationCenter( null|string $type = null )
 * @method static ToyStore toyStore( null|string $type = null )
 * @method static TrainStation trainStation( null|string $type = null )
 * @method static TravelAgency travelAgency( null|string $type = null )
 * @method static UserInteraction userInteraction( null|string $type = null )
 * @method static UserBlocks userBlocks( null|string $type = null )
 * @method static UserCheckins userCheckins( null|string $type = null )
 * @method static UserComments userComments( null|string $type = null )
 * @method static UserDownloads userDownloads( null|string $type = null )
 * @method static UserLikes userLikes( null|string $type = null )
 * @method static UserPageVisits userPageVisits( null|string $type = null )
 * @method static UserPlays userPlays( null|string $type = null )
 * @method static UserPlusOnes userPlusOnes( null|string $type = null )
 * @method static UserTweets userTweets( null|string $type = null )
 * @method static VideoGallery videoGallery( null|string $type = null )
 * @method static VideoObject videoObject( null|string $type = null )
 * @method static VisualArtsEvent visualArtsEvent( null|string $type = null )
 * @method static ExhibitionEvent exhibitionEvent( null|string $type = null )
 * @method static Volcano volcano( null|string $type = null )
 * @method static WPAdBlock wPAdBlock( null|string $type = null )
 * @method static WPFooter wPFooter( null|string $type = null )
 * @method static WPHeader wPHeader( null|string $type = null )
 * @method static WPSideBar wPSideBar( null|string $type = null )
 * @method static Waterfall waterfall( null|string $type = null )
 * @method static WebApplication webApplication( null|string $type = null )
 * @method static WholesaleStore wholesaleStore( null|string $type = null )
 * @method static Winery winery( null|string $type = null )
 * @method static Zoo zoo( null|string $type = null )
 * @method static Brand brand( null|string $type = null )
 * @method static BusinessEntityType businessEntityType( null|string $type = null )
 * @method static CreditCard creditCard( null|string $type = null )
 * @method static BusinessFunction businessFunction( null|string $type = null )
 * @method static PaymentMethod paymentMethod( null|string $type = null )
 * @method static DayOfWeek dayOfWeek( null|string $type = null )
 * @method static PriceSpecification priceSpecification( null|string $type = null )
 * @method static DeliveryChargeSpecification deliveryChargeSpecification( null|string $type = null )
 * @method static DeliveryMethod deliveryMethod( null|string $type = null )
 * @method static Demand demand( null|string $type = null )
 * @method static IndividualProduct individualProduct( null|string $type = null )
 * @method static OpeningHoursSpecification openingHoursSpecification( null|string $type = null )
 * @method static OwnershipInfo ownershipInfo( null|string $type = null )
 * @method static ParcelService parcelService( null|string $type = null )
 * @method static PaymentChargeSpecification paymentChargeSpecification( null|string $type = null )
 * @method static ProductModel productModel( null|string $type = null )
 * @method static QualitativeValue qualitativeValue( null|string $type = null )
 * @method static QuantitativeValue quantitativeValue( null|string $type = null )
 * @method static SomeProducts someProducts( null|string $type = null )
 * @method static TypeAndQuantityNode typeAndQuantityNode( null|string $type = null )
 * @method static UnitPriceSpecification unitPriceSpecification( null|string $type = null )
 * @method static WarrantyPromise warrantyPromise( null|string $type = null )
 * @method static WarrantyScope warrantyScope( null|string $type = null )
 * @method static TechArticle techArticle( null|string $type = null )
 * @method static APIReference aPIReference( null|string $type = null )
 * @method static Code code( null|string $type = null )
 * @method static SoftwareSourceCode softwareSourceCode( null|string $type = null )
 * @method static ParentAudience parentAudience( null|string $type = null )
 * @method static AlignmentObject alignmentObject( null|string $type = null )
 * @method static EducationalAudience educationalAudience( null|string $type = null )
 * @method static DataCatalog dataCatalog( null|string $type = null )
 * @method static DataDownload dataDownload( null|string $type = null )
 * @method static Dataset dataset( null|string $type = null )
 * @method static PublicationEvent publicationEvent( null|string $type = null )
 * @method static BroadcastEvent broadcastEvent( null|string $type = null )
 * @method static BroadcastService broadcastService( null|string $type = null )
 * @method static Clip clip( null|string $type = null )
 * @method static OnDemandEvent onDemandEvent( null|string $type = null )
 * @method static RadioClip radioClip( null|string $type = null )
 * @method static RadioEpisode radioEpisode( null|string $type = null )
 * @method static RadioSeason radioSeason( null|string $type = null )
 * @method static RadioSeries radioSeries( null|string $type = null )
 * @method static TVClip tVClip( null|string $type = null )
 * @method static BusinessAudience businessAudience( null|string $type = null )
 * @method static ContactPointOption contactPointOption( null|string $type = null )
 * @method static Permit permit( null|string $type = null )
 * @method static GovernmentPermit governmentPermit( null|string $type = null )
 * @method static Service service( null|string $type = null )
 * @method static GovernmentService governmentService( null|string $type = null )
 * @method static ServiceChannel serviceChannel( null|string $type = null )
 * @method static EventStatusType eventStatusType( null|string $type = null )
 * @method static DeliveryEvent deliveryEvent( null|string $type = null )
 * @method static LockerDelivery lockerDelivery( null|string $type = null )
 * @method static Order order( null|string $type = null )
 * @method static OrderStatus orderStatus( null|string $type = null )
 * @method static ParcelDelivery parcelDelivery( null|string $type = null )
 * @method static OrderItem orderItem( null|string $type = null )
 * @method static Action action( null|string $type = null )
 * @method static OrganizeAction organizeAction( null|string $type = null )
 * @method static AllocateAction allocateAction( null|string $type = null )
 * @method static AcceptAction acceptAction( null|string $type = null )
 * @method static AchieveAction achieveAction( null|string $type = null )
 * @method static UpdateAction updateAction( null|string $type = null )
 * @method static AddAction addAction( null|string $type = null )
 * @method static AssessAction assessAction( null|string $type = null )
 * @method static ReactAction reactAction( null|string $type = null )
 * @method static AgreeAction agreeAction( null|string $type = null )
 * @method static InsertAction insertAction( null|string $type = null )
 * @method static AppendAction appendAction( null|string $type = null )
 * @method static ApplyAction applyAction( null|string $type = null )
 * @method static MoveAction moveAction( null|string $type = null )
 * @method static ArriveAction arriveAction( null|string $type = null )
 * @method static InteractAction interactAction( null|string $type = null )
 * @method static CommunicateAction communicateAction( null|string $type = null )
 * @method static AskAction askAction( null|string $type = null )
 * @method static AssignAction assignAction( null|string $type = null )
 * @method static AuthorizeAction authorizeAction( null|string $type = null )
 * @method static BefriendAction befriendAction( null|string $type = null )
 * @method static BookmarkAction bookmarkAction( null|string $type = null )
 * @method static TransferAction transferAction( null|string $type = null )
 * @method static BorrowAction borrowAction( null|string $type = null )
 * @method static TradeAction tradeAction( null|string $type = null )
 * @method static BuyAction buyAction( null|string $type = null )
 * @method static PlanAction planAction( null|string $type = null )
 * @method static CancelAction cancelAction( null|string $type = null )
 * @method static FindAction findAction( null|string $type = null )
 * @method static CheckAction checkAction( null|string $type = null )
 * @method static CheckInAction checkInAction( null|string $type = null )
 * @method static CheckOutAction checkOutAction( null|string $type = null )
 * @method static ChooseAction chooseAction( null|string $type = null )
 * @method static CommentAction commentAction( null|string $type = null )
 * @method static InformAction informAction( null|string $type = null )
 * @method static ConfirmAction confirmAction( null|string $type = null )
 * @method static ConsumeAction consumeAction( null|string $type = null )
 * @method static CreateAction createAction( null|string $type = null )
 * @method static CookAction cookAction( null|string $type = null )
 * @method static DeleteAction deleteAction( null|string $type = null )
 * @method static DepartAction departAction( null|string $type = null )
 * @method static DisagreeAction disagreeAction( null|string $type = null )
 * @method static DiscoverAction discoverAction( null|string $type = null )
 * @method static DislikeAction dislikeAction( null|string $type = null )
 * @method static DonateAction donateAction( null|string $type = null )
 * @method static DownloadAction downloadAction( null|string $type = null )
 * @method static DrawAction drawAction( null|string $type = null )
 * @method static DrinkAction drinkAction( null|string $type = null )
 * @method static EatAction eatAction( null|string $type = null )
 * @method static EndorseAction endorseAction( null|string $type = null )
 * @method static ControlAction controlAction( null|string $type = null )
 * @method static ActivateAction activateAction( null|string $type = null )
 * @method static DeactivateAction deactivateAction( null|string $type = null )
 * @method static ResumeAction resumeAction( null|string $type = null )
 * @method static SuspendAction suspendAction( null|string $type = null )
 * @method static PlayAction playAction( null|string $type = null )
 * @method static ExerciseAction exerciseAction( null|string $type = null )
 * @method static FilmAction filmAction( null|string $type = null )
 * @method static FollowAction followAction( null|string $type = null )
 * @method static GiveAction giveAction( null|string $type = null )
 * @method static IgnoreAction ignoreAction( null|string $type = null )
 * @method static InstallAction installAction( null|string $type = null )
 * @method static InviteAction inviteAction( null|string $type = null )
 * @method static JoinAction joinAction( null|string $type = null )
 * @method static LeaveAction leaveAction( null|string $type = null )
 * @method static LendAction lendAction( null|string $type = null )
 * @method static LikeAction likeAction( null|string $type = null )
 * @method static ListenAction listenAction( null|string $type = null )
 * @method static LoseAction loseAction( null|string $type = null )
 * @method static MarryAction marryAction( null|string $type = null )
 * @method static OrderAction orderAction( null|string $type = null )
 * @method static PaintAction paintAction( null|string $type = null )
 * @method static PayAction payAction( null|string $type = null )
 * @method static PerformAction performAction( null|string $type = null )
 * @method static PhotographAction photographAction( null|string $type = null )
 * @method static PrependAction prependAction( null|string $type = null )
 * @method static QuoteAction quoteAction( null|string $type = null )
 * @method static ReadAction readAction( null|string $type = null )
 * @method static ReceiveAction receiveAction( null|string $type = null )
 * @method static RegisterAction registerAction( null|string $type = null )
 * @method static RejectAction rejectAction( null|string $type = null )
 * @method static RentAction rentAction( null|string $type = null )
 * @method static ReplaceAction replaceAction( null|string $type = null )
 * @method static ReplyAction replyAction( null|string $type = null )
 * @method static ReserveAction reserveAction( null|string $type = null )
 * @method static ReturnAction returnAction( null|string $type = null )
 * @method static ReviewAction reviewAction( null|string $type = null )
 * @method static RsvpAction rsvpAction( null|string $type = null )
 * @method static RsvpResponseType rsvpResponseType( null|string $type = null )
 * @method static ScheduleAction scheduleAction( null|string $type = null )
 * @method static SearchAction searchAction( null|string $type = null )
 * @method static SellAction sellAction( null|string $type = null )
 * @method static SendAction sendAction( null|string $type = null )
 * @method static ShareAction shareAction( null|string $type = null )
 * @method static SubscribeAction subscribeAction( null|string $type = null )
 * @method static TakeAction takeAction( null|string $type = null )
 * @method static TieAction tieAction( null|string $type = null )
 * @method static TipAction tipAction( null|string $type = null )
 * @method static TrackAction trackAction( null|string $type = null )
 * @method static TravelAction travelAction( null|string $type = null )
 * @method static UnRegisterAction unRegisterAction( null|string $type = null )
 * @method static UseAction useAction( null|string $type = null )
 * @method static ViewAction viewAction( null|string $type = null )
 * @method static VoteAction voteAction( null|string $type = null )
 * @method static WantAction wantAction( null|string $type = null )
 * @method static WatchAction watchAction( null|string $type = null )
 * @method static WearAction wearAction( null|string $type = null )
 * @method static WinAction winAction( null|string $type = null )
 * @method static WriteAction writeAction( null|string $type = null )
 * @method static GenderType genderType( null|string $type = null )
 * @method static ItemListOrderType itemListOrderType( null|string $type = null )
 * @method static Reservation reservation( null|string $type = null )
 * @method static BusReservation busReservation( null|string $type = null )
 * @method static EventReservation eventReservation( null|string $type = null )
 * @method static FlightReservation flightReservation( null|string $type = null )
 * @method static FoodEstablishmentReservation foodEstablishmentReservation( null|string $type = null )
 * @method static LodgingReservation lodgingReservation( null|string $type = null )
 * @method static RentalCarReservation rentalCarReservation( null|string $type = null )
 * @method static TaxiReservation taxiReservation( null|string $type = null )
 * @method static TrainReservation trainReservation( null|string $type = null )
 * @method static ReservationPackage reservationPackage( null|string $type = null )
 * @method static ReservationStatusType reservationStatusType( null|string $type = null )
 * @method static BusTrip busTrip( null|string $type = null )
 * @method static TrainTrip trainTrip( null|string $type = null )
 * @method static Flight flight( null|string $type = null )
 * @method static Airline airline( null|string $type = null )
 * @method static ProgramMembership programMembership( null|string $type = null )
 * @method static Ticket ticket( null|string $type = null )
 * @method static Seat seat( null|string $type = null )
 * @method static Taxi taxi( null|string $type = null )
 * @method static TaxiService taxiService( null|string $type = null )
 * @method static Vehicle vehicle( null|string $type = null )
 * @method static Car car( null|string $type = null )
 * @method static BoardingPolicyType boardingPolicyType( null|string $type = null )
 * @method static QAPage qAPage( null|string $type = null )
 * @method static Question question( null|string $type = null )
 * @method static Answer answer( null|string $type = null )
 * @method static EmailMessage emailMessage( null|string $type = null )
 * @method static ActionStatusType actionStatusType( null|string $type = null )
 * @method static EntryPoint entryPoint( null|string $type = null )
 * @method static PropertyValueSpecification propertyValueSpecification( null|string $type = null )
 * @method static Role role( null|string $type = null )
 * @method static PerformanceRole performanceRole( null|string $type = null )
 * @method static OrganizationRole organizationRole( null|string $type = null )
 * @method static EmployeeRole employeeRole( null|string $type = null )
 * @method static WebSite webSite( null|string $type = null )
 * @method static Periodical periodical( null|string $type = null )
 * @method static PublicationVolume publicationVolume( null|string $type = null )
 * @method static PublicationIssue publicationIssue( null|string $type = null )
 * @method static ListItem listItem( null|string $type = null )
 * @method static MovieSeries movieSeries( null|string $type = null )
 * @method static BookSeries bookSeries( null|string $type = null )
 * @method static VideoGame videoGame( null|string $type = null )
 * @method static VideoGameClip videoGameClip( null|string $type = null )
 * @method static GameServer gameServer( null|string $type = null )
 * @method static Game game( null|string $type = null )
 * @method static GamePlayMode gamePlayMode( null|string $type = null )
 * @method static GameServerStatus gameServerStatus( null|string $type = null )
 * @method static MusicAlbumProductionType musicAlbumProductionType( null|string $type = null )
 * @method static MusicAlbumReleaseType musicAlbumReleaseType( null|string $type = null )
 * @method static MusicComposition musicComposition( null|string $type = null )
 * @method static MusicRelease musicRelease( null|string $type = null )
 * @method static MusicReleaseFormatType musicReleaseFormatType( null|string $type = null )
 * @method static SportsOrganization sportsOrganization( null|string $type = null )
 * @method static DatedMoneySpecification datedMoneySpecification( null|string $type = null )
 * @method static VisualArtwork visualArtwork( null|string $type = null )
 * @method static Invoice invoice( null|string $type = null )
 * @method static PropertyValue propertyValue( null|string $type = null )
 * @method static CableOrSatelliteService cableOrSatelliteService( null|string $type = null )
 * @method static BroadcastChannel broadcastChannel( null|string $type = null )
 * @method static TelevisionChannel televisionChannel( null|string $type = null )
 * @method static RadioChannel radioChannel( null|string $type = null )
 * @method static EngineSpecification engineSpecification( null|string $type = null )
 * @method static Bridge bridge( null|string $type = null )
 * @method static DriveWheelConfigurationValue driveWheelConfigurationValue( null|string $type = null )
 * @method static SteeringPositionValue steeringPositionValue( null|string $type = null )
 * @method static InteractionCounter interactionCounter( null|string $type = null )
 * @method static SocialMediaPosting socialMediaPosting( null|string $type = null )
 * @method static DiscussionForumPosting discussionForumPosting( null|string $type = null )
 * @method static LiveBlogPosting liveBlogPosting( null|string $type = null )
 * @method static PaymentStatusType paymentStatusType( null|string $type = null )
 * @method static Report report( null|string $type = null )
 * @method static Enumeration enumeration( null|string $type = null )
 * @method static NutritionInformation nutritionInformation( null|string $type = null )
 * @method static Recipe recipe( null|string $type = null )
 * @method static DataFeed dataFeed( null|string $type = null )
 * @method static DataFeedItem dataFeedItem( null|string $type = null )
 * @method static CompoundPriceSpecification compoundPriceSpecification( null|string $type = null )
 * @method static MonetaryAmount monetaryAmount( null|string $type = null )
 * @method static FinancialProduct financialProduct( null|string $type = null )
 * @method static BankAccount bankAccount( null|string $type = null )
 * @method static DepositAccount depositAccount( null|string $type = null )
 * @method static LoanOrCredit loanOrCredit( null|string $type = null )
 * @method static PaymentCard paymentCard( null|string $type = null )
 * @method static InvestmentOrDeposit investmentOrDeposit( null|string $type = null )
 * @method static PaymentService paymentService( null|string $type = null )
 * @method static CurrencyConversionService currencyConversionService( null|string $type = null )
 * @method static Conversation conversation( null|string $type = null )
 * @method static Message message( null|string $type = null )
 * @method static DigitalDocument digitalDocument( null|string $type = null )
 * @method static PresentationDigitalDocument presentationDigitalDocument( null|string $type = null )
 * @method static SpreadsheetDigitalDocument spreadsheetDigitalDocument( null|string $type = null )
 * @method static TextDigitalDocument textDigitalDocument( null|string $type = null )
 * @method static NoteDigitalDocument noteDigitalDocument( null|string $type = null )
 * @method static DigitalDocumentPermission digitalDocumentPermission( null|string $type = null )
 * @method static DigitalDocumentPermissionType digitalDocumentPermissionType( null|string $type = null )
 * @method static Resort resort( null|string $type = null )
 * @method static Accommodation accommodation( null|string $type = null )
 * @method static Room room( null|string $type = null )
 * @method static HotelRoom hotelRoom( null|string $type = null )
 * @method static MeetingRoom meetingRoom( null|string $type = null )
 * @method static CampingPitch campingPitch( null|string $type = null )
 * @method static Suite suite( null|string $type = null )
 * @method static House house( null|string $type = null )
 * @method static Apartment apartment( null|string $type = null )
 * @method static FoodService foodService( null|string $type = null )
 * @method static LocationFeatureSpecification locationFeatureSpecification( null|string $type = null )
 * @method static BedDetails bedDetails( null|string $type = null )
 * @method static Course course( null|string $type = null )
 * @method static CourseInstance courseInstance( null|string $type = null )
 * @method static ClaimReview claimReview( null|string $type = null )
 * @method static Menu menu( null|string $type = null )
 * @method static MenuItem menuItem( null|string $type = null )
 * @method static MenuSection menuSection( null|string $type = null )
 * @method static Unknown unknown( null|string $type )
 */
class Schema
{
    public static function __callStatic( $name, $arguments )
    {
        $className = sprintf( '%s\%s', __NAMESPACE__, ucfirst( $name ));
        $type = isset( $arguments[0] ) ? $arguments[0] : null;
        return class_exists( $className )
            ? new $className()
            : new Unknown( $type );
    }
}
